Create many entries
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"Name": "Jane",
"Email": "jane@example.com"
},
{
"Name": "Bob",
"Email": "bob@example.com"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [
{Name: 'Jane', Email: 'jane@example.com'},
{Name: 'Bob', Email: 'bob@example.com'}
]
})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch"
payload = { "entries": [
{
"Name": "Jane",
"Email": "jane@example.com"
},
{
"Name": "Bob",
"Email": "bob@example.com"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"entryId": "ent_lead99"
},
{
"entryId": "ent_lead100"
}
],
"count": 2
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Create many entries
Create many CRM entries.
POST
/
crm
/
objects
/
{objectName}
/
entries
/
batch
Create many entries
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"Name": "Jane",
"Email": "jane@example.com"
},
{
"Name": "Bob",
"Email": "bob@example.com"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [
{Name: 'Jane', Email: 'jane@example.com'},
{Name: 'Bob', Email: 'bob@example.com'}
]
})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/batch"
payload = { "entries": [
{
"Name": "Jane",
"Email": "jane@example.com"
},
{
"Name": "Bob",
"Email": "bob@example.com"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"entryId": "ent_lead99"
},
{
"entryId": "ent_lead100"
}
],
"count": 2
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Path Parameters
Body
application/json
Up to 200 field maps.
Maximum array length:
200Show child attributes
Show child attributes
⌘I